Package logilab :: Package common :: Module proc :: Class ProcInfo

[frames] | no frames]

# Class ProcInfo

source code

    object --+
             |
     tree.Node --+
                 |
                ProcInfo

    provide access to process information found in /proc

Instance Methods

__init__(self, pid) x.__init__(...) initializes x; see help(type(x)) for signature | source code

memory_usage(self) return the memory usage of the process in Ko | source code

lineage_memory_usage(self) | source code

time(self, children=0) return the number of jiffies that this process has been scheduled... | source code

status(self) return the list of fields found in /proc/<pid>/stat | source code

name(self) return the process name found in /proc/<pid>/stat... | source code

age(self) return the age of the process... | source code

Inherited from `tree.Node`: `__iter__`, `__str__`, `append`, `depth`, `depth_down`, `flatten`, `get_child_by_id`, `get_child_by_path`, `get_node_by_id`, `get_sibling`, `insert`, `is_leaf`, `leaves`, `lineage`, `next_sibling`, `previous_sibling`, `remove`, `replace`, `root`, `width`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, pid)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### time(self, children=0)

source code

    return the number of jiffies that this process has been scheduled
    in user and kernel mode

### name(self)

source code

    return the process name found in /proc/<pid>/stat

### age(self)

source code

    return the age of the process